Bug 1461646 - gnome-boxes segfault
gnome-boxes segfault
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
26
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 00:34 EDT by Rex
Modified: 2018-05-03 05:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex 2017-06-15 00:34:36 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.launch Boxes
2.check dmesg
3.

Actual results: gui will open, then immediately close.


Expected results: program opening.


Additional info:

381.182595] gnome-boxes[3226]: segfault at 10 ip 0000563586159530 sp 00007fff13d63ed0 error 4 in gnome-boxes[5635860bc000+148000]

[rsheffield@dell ~]$ gnome-boxes --checks

(gnome-boxes:3442): Boxes-WARNING **: util-app.vala:270: Failed to execute child process ?virsh? (No such file or directory)
• The CPU is capable of virtualization: yes
• The KVM module is loaded: yes
• Libvirt KVM guest available: no
• Boxes storage pool available: no
    Could not get “gnome-boxes” storage pool information from libvirt. Make sure “virsh -c qemu:///session pool-dumpxml gnome-boxes” is working.
• The SELinux context is default: yes

Report bugs to <https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-boxes>.
Boxes home page: <https://wiki.gnome.org/Apps/Boxes>.
Comment 1 Christophe Fergeau 2017-06-15 05:01:55 EDT
Is libvirt-client installed on your system? The virsh command seems to be missing. I don't think this would be causing the crash, but this would explain some of the errors in gnome-boxes --check.
Comment 2 Rex 2017-06-15 20:23:17 EDT
Yes, I installed libvirt-client after seeing the errors from gnome-boxes --check. Segfault remains.

Last metadata expiration check: 0:03:38 ago on Thu 15 Jun 2017 05:18:19 PM PDT.
Package libvirt-client-3.2.1-3.fc26.x86_64 is already installed, skipping.
Dependencies resolved.
Comment 3 Christophe Fergeau 2017-06-16 08:25:26 EDT
What is the gnome-boxes version? And can you paste again gnome-boxes --checks output with virsh installed?
Comment 4 Rex 2017-06-16 22:44:23 EDT
Please see below. 

[rsheffield@dell ~]$ gnome-boxes --version
3.24.0
[rsheffield@dell ~]$ gnome-boxes --checks
• The CPU is capable of virtualization: yes
• The KVM module is loaded: yes
• Libvirt KVM guest available: yes
• Boxes storage pool available: yes
• The SELinux context is default: yes

Report bugs to <https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-boxes>.
Boxes home page: <https://wiki.gnome.org/Apps/Boxes>.
[rsheffield@dell ~]$gnome-boxes

(gnome-boxes:2634): Libvirt.GObject-CRITICAL **: gvir_storage_vol_get_info: assertion 'GVIR_IS_STORAGE_VOL(vol)' failed
Segmentation fault (core dumped)
[rsheffield@dell ~]$ dmesg | grep -i box
[  161.013688] gnome-boxes[2634]: segfault at 10 ip 00005563da059530 sp 00007ffe291d5080 error 4 in gnome-boxes[5563d9fbc000+148000]
[rsheffield@dell ~]$
Comment 5 brian 2017-08-16 13:34:37 EDT
Also seeing an issue similar to this one on Fedora 26. gnome-boxes --checks results in this:

[egee@egee-workstation ~]$ gnome-boxes --checks
• The CPU is capable of virtualization: yes
• The KVM module is loaded: yes
• Libvirt KVM guest available: yes
• Boxes storage pool available: yes
• The SELinux context is default: yes

Running gnome-boxes from cli results in this:

[egee@egee-workstation ~]$ gnome-boxes

(gnome-boxes:10828): Libvirt.GObject-CRITICAL **: gvir_storage_vol_get_info: assertion 'GVIR_IS_STORAGE_VOL(vol)' failed
Segmentation fault (core dumped)
Comment 6 Knut J BJuland 2017-12-11 04:28:09 EST
cache$ gnome-boxes --checks
• The CPU is capable of virtualization: yes
• The KVM module is loaded: yes
• Libvirt KVM guest available: yes
• Boxes storage pool available: yes
• The SELinux context is default: yes

Report bugs to <https://bugzilla.gnome.org/enter_bug.cgi?product=gnome-boxes>.
Boxes home page: <https://wiki.gnome.org/Apps/Boxes>.
knutjb@knut:~/.cache$ gnome-boxes 

(gnome-boxes:5289): Libvirt.GObject-CRITICAL **: gvir_storage_vol_get_info: assertion 'GVIR_IS_STORAGE_VOL(vol)' failed
Segmentation fault (core dumped)

I got this error in Fedora 27.
Comment 7 Benoît Lacroix 2018-01-10 12:33:28 EST
Hi,

I got the same issue and this solved my problem : 

https://bugzilla.gnome.org/show_bug.cgi?id=781051#c6

However I don't why this problem append...
Comment 8 Fedora End Of Life 2018-05-03 05:02:48 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.